MuleConnectionRequestInfo (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jca.MuleConnectionRequestInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class MuleConnectionRequestInfo

    java.lang.Object
      org.mule.module.jca.MuleConnectionRequestInfo

All Implemented Interfaces:
  Serializable, Cloneable, ConnectionRequestInfo, MuleContextAware

    public class MuleConnectionRequestInfo

extends Object
implements ConnectionRequestInfo, Cloneable, Serializable, MuleContextAware

`MuleConnectionRequestInfo` TODO

See Also:
  Serialized Form

Constructor Summary
`MuleConnectionRequestInfo()`

Method Summary
`protected Object` | `clone()`
`boolean` | `equals(Object obj)`
`String` | `getConfigurationBuilder()`
`String` | `getConfigurations()`
`String[]` | `getConfigurationsAsArray()`
`MuleContext` | `getMuleContext()`
`String` | `getPassword()`
`String` | `getUserName()`
`int` | `hashCode()`
`void` | `setConfigurationBuilder(String configurationBuilder)`
`void` | `setConfigurations(String configurations)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setPassword(String password)`
`void` | `setUserName(String username)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleConnectionRequestInfo

    public MuleConnectionRequestInfo()

Method Detail

### getConfigurationBuilder

    public String getConfigurationBuilder()

### setConfigurationBuilder

    public void setConfigurationBuilder(String configurationBuilder)

### getConfigurations

    public String getConfigurations()

### getConfigurationsAsArray

    public String[] getConfigurationsAsArray()

### setConfigurations

    public void setConfigurations(String configurations)

### getUserName

    public String getUserName()

### setUserName

    public void setUserName(String username)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getMuleContext

    public MuleContext getMuleContext()

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `ConnectionRequestInfo`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `ConnectionRequestInfo`
  Overrides:
    `hashCode` in class `Object`

### clone

    protected Object clone()
                    throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.